Bug 1000910 - Can't calibrate with an X-Rite eye-one
Can't calibrate with an X-Rite eye-one
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: colord (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 01:49 EDT by Bryan Mason
Modified: 2015-02-18 06:24 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:24:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Mason 2013-08-26 01:49:32 EDT
Description of problem:

    Can't calibrate the display with an X-Rite "eye-one display 2"

Version-Release number of selected component (if applicable):

    gnome-color-manager-3.8.2-1.fc19.x86_64

How reproducible:
 
    100%

Steps to Reproduce:
    
    Try to calibrate the monitor (either monitor on a 2-display setup).

Actual results:

    An internal error occurred that could not be recovered.
    You can remove the calibration device.

Expected results:

    Monitor profile should be generated.

Additional info:

Running "/usr/libexec/colord-session -v" while attempting to run the profile results in:

22:26:17	Verbose debugging enabled (on console 1)
22:26:17	CdMain: acquired name: org.freedesktop.ColorHelper
22:26:38	CdMain: :1.163:Start(xrandr-Dell Inc.-DELL SE198WF-737318A71N3U,i1-pro-00)
22:26:38	Quality: high
22:26:38	Whitepoint: 6500K
22:26:38	Gamma: 2.40
22:26:38	Title: DELL SE198WF
22:26:38	Device kind: lcd
22:26:38	CdMain: Emitting InteractionRequired(0,attach the sensor to the screen,/usr/share/colord/icons/i1-pro-attach.svg)
22:26:42	CdMain: :1.163:Resume()
22:26:42	CdMain: Emitting UpdateGamma(2 elements)
22:26:42	CdMain: Emitting UpdateSample(1.000000,1.000000,1.000000)
22:26:43	CdMain: Emitting Finished(1,spotread exited unexpectedly)

Running  "colormgr get-sensor-reading lcd" results in:

Sensor: Gretag-Macbeth AG - Eye-One display
spotread exited unexpectedly

This same hardware worked flawlessly in Fedora 18 on my laptop.
Comment 1 Justin M. Forbes 2013-09-26 11:56:21 EDT
I am getting similar results in F19 with the Eye One Display 2. This profiler worked fine in F17
Comment 2 Matteo Nobili 2013-10-01 09:12:43 EDT
The same here: everything worked flawlessly on Fedora 17, while gnome-color-manager crash as soon as I press start

This is the result of colormgr get-sensor-reading lcd :
Sensor: Gretag-Macbeth AG - Eye-One display
spotread exited unexpectedly
Comment 3 Derek Cramer 2013-10-31 17:28:58 EDT
I can confirm the same behaviour here. Fedora 19 on two separate machines, using an i1Display 2, REV A. 

$ colormgr get-sensor-reading lcd
Sensor: Gretag-Macbeth AG - Eye-One display
spotread exited unexpectedly

$ cat /etc/redhat-release 
Fedora release 19 (Schrödinger’s Cat)

$ uname -pr
3.11.6-200.fc19.x86_64 x86_64
Comment 4 Richard Hughes 2013-12-10 05:00:10 EST
What does spotread do when you try to use it on the command line?
Comment 5 Derek Cramer 2013-12-11 13:04:44 EST
Spotread seems to work correctly when called directly:

$ spotread -v -D2

usb_check_and_add: found instrument vid 0x0971, pid 0x2003
new_inst: called with path '/dev/bus/usb/001/011 (GretagMacbeth i1 Display 2)'
Connecting to the instrument ..
i1disp: About to init coms
usb_open_port: open port '/dev/bus/usb/001/011' succeeded
i1disp: init coms OK
i1disp_init_inst: called
i1disp: instrument is responding, unlocked, and right type
i1disp: all registers read OK
i1disp_init_inst: inited OK
Defaulting to emission measurement
Init instrument success !

Place instrument on spot to be measured,
and hit [A-Z] to read white and setup FWA compensation (keyed to letter)
[a-z] to read and make FWA compensated reading from keyed reference
'r' to set reference, 's' to save spectrum,
'f' to report cal. refresh rate, 'F' to measure refresh rate
'h' to toggle high res., 'k' to do a calibration
Hit ESC or Q to exit, any other key to take a reading: 


 Result is XYZ: 134.506718 144.040196 134.529808, D50 Lab: 115.004402 -5.995225 -9.546210

Place instrument on spot to be measured,
and hit [A-Z] to read white and setup FWA compensation (keyed to letter)
[a-z] to read and make FWA compensated reading from keyed reference
'r' to set reference, 's' to save spectrum,
'f' to report cal. refresh rate, 'F' to measure refresh rate
'h' to toggle high res., 'k' to do a calibration
Hit ESC or Q to exit, any other key to take a reading: q

Spot read stopped at user request!
Hit Esc or Q to give up, any other key to retry:
urb_reaper: cleared requests
Comment 6 Christoph Böhme 2014-01-08 17:24:48 EST
I did some digging and I think I have found the cause of the internal error. It looks like spotread and colord use different names for the colorimeter. As a result colord cannot correctly determine the communication port it should pass to spotread and calibration fails.

I am on Fedora 20 and the label on my device says it's a X-Rite eye-one display Lt (Rev C). It reports with usb vendor id 0971 and product id 2003 (same as the iDisplay 2 mentioned above).

When I run `spotread --help`, it outputs:

 -c listno            Set communication port from the following list (default 1)
    1 = '/dev/bus/usb/001/005 (GretagMacbeth i1 Display 2)'

So, argyll thinks my colorimeter is a "GretagMacbeth i1 Display 2" which is okay since the display Lt seems to be almost identical to the Display 2 according to the argyll website [1].

Looking at the colord sources it appears that the mapping from vendor/product id to a device name is done in two steps by colord. First, udev rules add a property called COLORD_SENSOR_KIND to colorimeter devices. Then, the sensor plugin for argyll maps the value of this property to a device name that matches the one used by argyll in order to extract the communication port for the sensor from the output `spotread --help`. The property value given to devices with the id 0971:2003 is "i1-pro" which is then resolved to "GretagMacbeth i1 Pro". As this value does not match the output of spotread, colord cannot determine the correct communication port and the calibration aborts.

If I modify my udev rules to set the COLORD_SENSOR_KIND property to "i1-display2" for devices with the id 0971:2003, then calibration works as expected.

I hope, this helps. 

I used argyllcms at version 1.6.2-1.fc20.x86_64 and gnome-color-manager at version 3.10.1-2.fc20.x86_64.

[1] http://argyllcms.com/doc/instruments.html#i1d
Comment 7 Richard Hughes 2014-01-13 07:07:46 EST
I've applied this to colord, thanks:

commit 87bfd71901b1b8851c99f7fbd2f94d1a4962d4cc
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jan 13 12:06:42 2014 +0000

    Use the corect sensor-kind values for GretagMacbeth sensors
    
    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1000910
Comment 8 Justin M. Forbes 2014-01-13 11:12:36 EST
I just tested off of koji build 490350. This does indeed fix the problem. Thanks
Comment 9 Fedora End Of Life 2015-01-09 17:16:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-18 06:24:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.